~ruther/guix-local

fd19df72528a6ee7abd934da08c669094006fa2a — Mark H Weaver 11 years ago c93d7ed
gnu: patchelf: Update to 0.8.

* gnu/packages/elf.scm (patchelf): Update to 0.8.
* gnu/packages/patches/patchelf-page-size.patch: Adapt to new version.
2 files changed, 20 insertions(+), 18 deletions(-)

M gnu/packages/elf.scm
M gnu/packages/patches/patchelf-page-size.patch
M gnu/packages/elf.scm => gnu/packages/elf.scm +3 -2
@@ 1,5 1,6 @@
;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2013, 2014 Ludovic Courtès <ludo@gnu.org>
;;; Copyright © 2014, 2015 Mark H Weaver <mhw@netris.org>
;;;
;;; This file is part of GNU Guix.
;;;


@@ 87,7 88,7 @@ addr2line, and more.")
(define-public patchelf
  (package
    (name "patchelf")
    (version "0.6")
    (version "0.8")
    (source (origin
             (method url-fetch)
             (uri (string-append


@@ 96,7 97,7 @@ addr2line, and more.")
                   "/patchelf-" version ".tar.bz2"))
             (sha256
              (base32
               "00bw29vdsscsili65wcb5ay0gvg1w0ljd00sb5xc6br8bylpyzpw"))
               "1rqpg84wrd3fa16wa9vqdvasnc05yz49w207cz1l0wrl4k8q97y9"))
             (patches (list (search-patch "patchelf-page-size.patch")))))
    (build-system gnu-build-system)
    (home-page "http://nixos.org/patchelf.html")

M gnu/packages/patches/patchelf-page-size.patch => gnu/packages/patches/patchelf-page-size.patch +17 -16
@@ 28,42 28,43 @@ Patch by Mark H Weaver <mhw@netris.org>.
 #endif
 
 
--- patchelf/tests/no-rpath.sh.orig	1969-12-31 19:00:01.000000000 -0500
+++ patchelf/tests/no-rpath.sh	2014-02-16 20:44:12.036376953 -0500
@@ -1,22 +1,22 @@
--- patchelf/tests/no-rpath.sh.orig	2014-01-14 08:17:47.000000000 -0500
+++ patchelf/tests/no-rpath.sh	2015-01-06 18:31:53.418172797 -0500
@@ -1,23 +1,23 @@
 #! /bin/sh -e
 SCRATCH=scratch/$(basename $0 .sh)
 
-rm -rf scratch
-mkdir -p scratch
-rm -rf ${SCRATCH}
-mkdir -p ${SCRATCH}
+if [ "$(uname -m)" = i686 -a "$(uname -s)" = Linux ]; then
+    rm -rf scratch
+    mkdir -p scratch
+    rm -rf ${SCRATCH}
+    mkdir -p ${SCRATCH}
 
-cp no-rpath scratch/
+    cp no-rpath scratch/
-cp ${srcdir}/no-rpath ${SCRATCH}/
+    cp ${srcdir}/no-rpath ${SCRATCH}/
 
-oldRPath=$(../src/patchelf --print-rpath scratch/no-rpath)
-oldRPath=$(../src/patchelf --print-rpath ${SCRATCH}/no-rpath)
-if test -n "$oldRPath"; then exit 1; fi
-../src/patchelf \
-  --set-interpreter "$(../src/patchelf --print-interpreter ../src/patchelf)" \
-  --set-rpath /foo:/bar:/xxxxxxxxxxxxxxx scratch/no-rpath
+    oldRPath=$(../src/patchelf --print-rpath scratch/no-rpath)
-  --set-rpath /foo:/bar:/xxxxxxxxxxxxxxx ${SCRATCH}/no-rpath
+    oldRPath=$(../src/patchelf --print-rpath ${SCRATCH}/no-rpath)
+    if test -n "$oldRPath"; then exit 1; fi
+    ../src/patchelf \
+      --set-interpreter "$(../src/patchelf --print-interpreter ../src/patchelf)" \
+      --set-rpath /foo:/bar:/xxxxxxxxxxxxxxx scratch/no-rpath
+      --set-rpath /foo:/bar:/xxxxxxxxxxxxxxx ${SCRATCH}/no-rpath
 
-newRPath=$(../src/patchelf --print-rpath scratch/no-rpath)
-newRPath=$(../src/patchelf --print-rpath ${SCRATCH}/no-rpath)
-if ! echo "$newRPath" | grep -q '/foo:/bar'; then
-    echo "incomplete RPATH"
-    exit 1
-fi
+    newRPath=$(../src/patchelf --print-rpath scratch/no-rpath)
+    newRPath=$(../src/patchelf --print-rpath ${SCRATCH}/no-rpath)
+    if ! echo "$newRPath" | grep -q '/foo:/bar'; then
+        echo "incomplete RPATH"
+        exit 1
+    fi
 
-if [ "$(uname -m)" = i686 -a "$(uname -s)" = Linux ]; then
     cd scratch && ./no-rpath
     cd ${SCRATCH} && ./no-rpath
 fi